Java no Debian e derivados - Instalação em quatro passos

Publicado por Renê Barbosa de Figueirêdo Lima em 04/11/2013

[ Hits: 7.313 ]

Blog: http://renebarbosa.com

 


Java no Debian e derivados - Instalação em quatro passos



Introdução

Como nunca gostei da ideia de adicionar um repositório de terceiros (também conhecido como PPA) em meu sistema para realizar a instalação do Java Runtime Environment e os demais pacotes do Java da Oracle [1], eu sempre utilizei o método de instalação à moda antiga [1] e, até então, isto supria totalmente as minhas necessidades, entretanto, com as constantes atualizações deste pacote, devo admitir que repetir aqueles comandos era uma tarefa que não me agradava muito.

Inicialmente, havia pensado em um script para automatizar essa tarefa, mas preferi buscar alguma alternativa mais prática e, então, encontrei o pacote java-package.

O java-package possui um utilitário que permite realizar a criação de pacotes Deb a partir dos pacotes obtidos nos repositórios oficiais da Oracle, o make- jpkg.

Este software é mantido atualmente pelos Debian Java Mantainers e está disponível nos repositórios do Debian [2] e Ubuntu [3].

Instalação

Para a instalação do java-package, basta executar o comando abaixo:

sudo apt-get install java-package

Após a execução do comando, o pacote e as suas dependências serão instaladas. Quando a instalação destes pacotes forem concluídas, a instalação do Java pode ser realizada em dois comandos simples, são eles:

make-jpkg <CAMINHO-DO-DOWNLOAD>/jre-7u45-linux-x64.tar.gz
$ sudo dpkg -i oracle-j2re1.7_1.7.0+update45_amd64.deb


Lembrando que o caminho de download e versão do Java podem variar, em meu caso, ficou no diretório Downloads mesmo, e a versão atual do JRE é a 7u45.

Pronto! A única pendência agora, é a instalação do plugin nos navegadores, o que pode ser feito rapidinho, com o comando abaixo:

sudo ln -sf /usr/lib/jvm/j2re1.7-oracle/lib/amd64/libnpjp2.so /usr/lib/mozilla/plugins/

Agora, é só usar o Java normalmente.

A instalação pode ser verificada aqui [5], ou usando o comando java -version. A vantagem deste método de instalação, é que você pode, simplesmente, copiar o pacote DEB para outras máquinas e fazer a instalação do software com um único comando.

E para quem possui repositório local, basta adicioná-lo à lista de pacotes disponíveis e os clientes poderão baixá-lo e instalá-lo usando o próprio gerenciador de pacotes da distribuição.

Referências

[1] Install Oracle Java 7 in Ubuntu via PPA Repository ~ Web Upd8: Ubuntu / Linux blog

[2] Java no Ubuntu 12.04 - Instalação à moda antiga [Artigo]

[3] JavaPackage - Debian Wiki

[4] Ubuntu – Package Search Results -- java-package

[5] Verificar Versão do Java

Outras dicas deste autor

Criptografia do diretório HOME no Debian

Leitura recomendada

Debian 6 - Gravando o grub na MBR

Usando um arquivo como memória SWAP

Confira: Ubuntu foi redesenhado!

Saiba como incluir sua foto no gerenciador de login do KDE (kdm)

Instalando MacUbuntu no Ubuntu 10.10

  

Comentários
[1] Comentário enviado por lcavalheiro em 05/11/2013 - 12:51h

Funcionou sem o fakeroot?

[2] Comentário enviado por renebarbosa em 05/11/2013 - 23:36h

Olá,


[1] Comentário enviado por lcavalheiro em 05/11/2013 - 12:51h:

Funcionou sem o fakeroot?


Não testei isto ainda, mas analisando o código fonte do make-jpkg localizei o seguinte:

# are we running as fakeroot
if ! dh_testroot >/dev/null 2>&1; then
if [ -n "$FAKEROOTKEY" ]; then
echo "Internal error, fakeroot seems to fail faking root" >&2
exit 1
fi
exec fakeroot "$0" "$@"
fi

# check whether I'm real root, and bail out if so... ugly, but needed
if touch /lib/.test 2>/dev/null; then
rm -f /lib/.test
echo "You are real root -- unfortunately, some Java distributions have" >&2
echo "install scripts that directly manipulate /etc, and may cause some" >&2
echo "inconsistencies on your system. Instead, you should become a" >&2
echo "non-root user and run:" >&2
echo >&2
echo "fakeroot make-jpkg $@" >&2
echo >&2
echo "which will allow no damage to be done to your system files and" >&2
echo "still permit the Java distribution to successfully extract." >&2
echo >&2
echo "Aborting." >&2
exit 1
fi


Então, creio que desativando essas condições, o make-jpkg funcione sem o fakeroot normalmente mas tem esta ressalva que o software joga em tela para o usuário ao executá-lo com o usuário root.

Abraços.

[3] Comentário enviado por lcavalheiro em 06/11/2013 - 10:43h

Hm...



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts